%global plugin_name workflow-step-api

Summary:    API for asynchronous build step primitive in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    2.1
Release:    1%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Step+API+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-step-api-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.642.3

%description
Plugins can implement custom Pipeline steps with specialized 
behavior by adding a dependency on workflow-step-api. 
Remember to ensure that your baseline Jenkins version is at 
least as new as that required by the versions of various Pipeline 
component plugins you are depending on.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.1-1
- Initial package
